Subject: bug#62854: aclocal: Man page “Name” section should be revised to be conformant to the POSIX man specification

From: Sebastian Carlos <[email-masked]>
Date: Fri, 14 Apr 2023 17:43:37 +0200

Hello,

Currently, the "Name" section of the aclocal man page reads "aclocal -
manual page for aclocal 1.16.5" This is problematic for two reasons:

- It is redundant, as there is no need to mention that it is a manual page.
Also, the version is already available in the footer of the man page.
- More importantly, the text is non-conformant to the POSIX man
specification because the "name" sections is used to generate the
"utilities summary database" (used for the "man -k" or the "apropos"
command), which should be a "terse description of the purpose of the
utility". The current text does not describe what aclocal does or how it
can be used.

POSIX specification for the man command:
https://pubs.opengroup.org/onlinepubs/9699919799/utilities/man.html

Thanks for your time.